| OpenGL-2.2.1.1: A binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.GL.PixelRectangles.PixelTransfer

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to a part of section 3.6.1 (Pixel Storage Modes) of the OpenGL 2.1 specs.
Documentation

data PixelTransferStage | Source

Constructors

PreConvolution |
PostConvolution |
PostColorMatrix |

Instances

Eq PixelTransferStage
Ord PixelTransferStage
Show PixelTransferStage

mapColor :: StateVar Capability | Source

mapStencil :: StateVar Capability | Source

indexShift :: StateVar GLint | Source

indexOffset :: StateVar GLint | Source

depthScale :: StateVar GLfloat | Source

depthBias :: StateVar GLfloat | Source

rgbaScale :: PixelTransferStage -> StateVar (Color4 GLfloat) | Source

rgbaBias :: PixelTransferStage -> StateVar (Color4 GLfloat) | Source

Produced by Haddock version 0.9